package com.ss.android.ugc.aweme.ecommerce.api.model;

import X.CZV;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.List;
import java.util.Objects;

public final class Video implements Parcelable {
    public static final Parcelable.Creator<Video> CREATOR = new CZV();
    @c(LIZ = "id")
    public final String LIZ;
    @c(LIZ = "duration")
    public final Double LIZIZ;
    @c(LIZ = "post_url")
    public final String LIZJ;
    @c(LIZ = "media_type")
    public final String LIZLLL;
    @c(LIZ = "video_infos")
    public final List<VideoInfo> LJ;

    static {
        Covode.recordClassIndex(68491);
    }

    private Object[] LIZ() {
        return new Object[]{this.LIZ, this.LIZIZ, this.LIZJ, this.LIZLLL, this.LJ};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Video)) {
            return false;
        }
        return M12.LIZ(((Video) obj).LIZ(), LIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZ());
    }

    public final String toString() {
        return M12.LIZ("Video:%s,%s,%s,%s,%s", LIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeString(this.LIZ);
        Double d = this.LIZIZ;
        if (d != null) {
            parcel.writeInt(1);
            parcel.writeDouble(d.doubleValue());
        } else {
            parcel.writeInt(0);
        }
        parcel.writeString(this.LIZJ);
        parcel.writeString(this.LIZLLL);
        List<VideoInfo> list = this.LJ;
        if (list != null) {
            parcel.writeInt(1);
            parcel.writeInt(list.size());
            for (VideoInfo writeToParcel : list) {
                writeToParcel.writeToParcel(parcel, 0);
            }
            return;
        }
        parcel.writeInt(0);
    }

    public Video(String str, Double d, String str2, String str3, List<VideoInfo> list) {
        this.LIZ = str;
        this.LIZIZ = d;
        this.LIZJ = str2;
        this.LIZLLL = str3;
        this.LJ = list;
    }
}
